Package org.pushingpixels.substance.flamingo.utils

# Class CommandButtonVisualStateTracker

java.lang.Object
org.pushingpixels.substance.flamingo.utils.CommandButtonVisualStateTracker

public class CommandButtonVisualStateTracker extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.pushingpixels.substance.internal.animation.StateTransitionTracker`
`actionStateTransitionTracker`
Listener for transition animations on the action area.
`protected org.pushingpixels.substance.internal.animation.StateTransitionTracker`
`popupStateTransitionTracker`
Listener for transition animations on the popup area.
`protected PropertyChangeListener`
`substancePropertyListener`
Property change listener.

## Constructor Summary

Constructors
Constructor
Description
`CommandButtonVisualStateTracker()`

## Method Summary

Modifier and Type
Method
Description
`org.pushingpixels.substance.internal.animation.StateTransitionTracker`
`getActionStateTransitionTracker()`
`org.pushingpixels.substance.internal.animation.StateTransitionTracker`
`getPopupStateTransitionTracker()`
`void`
`installListeners(org.pushingpixels.flamingo.api.common.AbstractCommandButton b)`
`void`
`uninstallListeners(org.pushingpixels.flamingo.api.common.AbstractCommandButton b)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### substancePropertyListener

protected PropertyChangeListener substancePropertyListener
Property change listener.

### actionStateTransitionTracker

protected org.pushingpixels.substance.internal.animation.StateTransitionTracker actionStateTransitionTracker
Listener for transition animations on the action area.

### popupStateTransitionTracker

protected org.pushingpixels.substance.internal.animation.StateTransitionTracker popupStateTransitionTracker
Listener for transition animations on the popup area.

## Constructor Details

### CommandButtonVisualStateTracker

public CommandButtonVisualStateTracker()

## Method Details

### installListeners

public void installListeners(org.pushingpixels.flamingo.api.common.AbstractCommandButton b)

### uninstallListeners

public void uninstallListeners(org.pushingpixels.flamingo.api.common.AbstractCommandButton b)

### getActionStateTransitionTracker

public org.pushingpixels.substance.internal.animation.StateTransitionTracker getActionStateTransitionTracker()

### getPopupStateTransitionTracker

public org.pushingpixels.substance.internal.animation.StateTransitionTracker getPopupStateTransitionTracker()